<div class="debug">
  <div class="debug-badge">
    <div class="debug-toggle">
        ⇲
    </div>
    <div class="debug-template-name">Debug</div>
  </div>
  <div class="debug-content">
    <div class="debug-header">
      <!-- Tab links -->
      <div class="tabs">
        <div class="tab">
          <button class="tablinks active" onclick="openTab(event, 'tab-overview')">Overview</button>
          <button class="tablinks" onclick="openTab(event, 'tab-params')">Params</button>
          <button class="tablinks" onclick="openTab(event, 'tab-site')">Site</button>
        </div>
        <div id="tab-overview" class="tabcontent" style="display: block;">
          <table class="debugprint">
            <tr>
              <th class="key">Key</th>
              <th class="value">Value</th>
            </tr>
            <tr>
              <td class="key">Template</td>
              <td class="value">{{ .template }}</td>
            </tr>
            <tr>
              <td class="key">Content Source</td>
              <td class="value">{{ .context.File.Path }}</td>
            </tr>
            <tr>
              <td class="key">Type</td>
              <td class="value">{{ .context.Page.Type }}</td>
            </tr>
            <tr>
              <td class="key">Kind</td>
              <td class="value">{{ .context.Page.Kind }}</td>
            </tr>
            <tr>
              <td class="key">Section</td>
              <td class="value">{{ .context.Page.Section }}</td>
            </tr>
            <tr>
              <td class="key">Layout</td>
              <td class="value">{{ .context.Page.Layout }}</td>
            </tr>

          </table>
        </div>

        <!-- Tab content -->
        <div id="tab-params" class="tabcontent">
          {{ $PageVarNames   := (slice "Name" "Title" "Type" "Kind" "Section" "Draft" "Type" "Layout" "Permalink" "RelPermalink" "Data") }}
          {{ $PageVarSymbols := (slice .context.Page.Name  .context.Page.Title  .context.Page.ResourceType  .context.Page.Kind  .context.Page.Section  .context.Page.Draft  .context.Page.Type  .context.Page.Layout  .context.Page.Permalink  .context.Page.RelPermalink  .context.Page.Data ) }}
          <table class="debugprint">
            <tr>
              <th class="key">Page Variable</th>
              <th class="value">Value</th>
            </tr>
            {{ range $idx, $elem := $PageVarNames }}
            <tr>
              <td class="key">{{ printf "%s" $elem  | safeHTML  }}</td>
              <td class="value">{{ printf "%#v" (index $PageVarSymbols $idx) | htmlUnescape }}</td>
            </tr>
            {{ end }}
          </table>
        </div>

        <div id="tab-params" class="tabcontent">
          {{ partial "debugprint.html" .context.Params }}
        </div>

        <div id="tab-site" class="tabcontent">
          {{ partial "debugprint.html" site }}
        </div>

      </div>

    </div>
  </div>
</div>

{{- $debug := resources.Get "js/debug.js" -}}
{{- $js := slice $debug | resources.Concat "js/debugBundle.js" -}}
{{- $cssOpts := (dict "targetPath" "/assets/css/debug.css" ) -}}
{{- $debug := resources.Get "/css/debug.css" -}}
<link rel="stylesheet" href="{{ $debug.Permalink }}" media="screen">
<script type="text/javascript" src="{{ $js.RelPermalink }}"></script>
<script>
    console.group('-------- Hugo Debug: Theme -------')
    console.log('HUGO_ENV: ', '{{ (getenv "HUGO_ENV") | default "NOT SET" }}')
    console.log('Long Env: ', '{{ (getenv "HUGO_ENV") | (getenv "ENVIRONMENT") | default .Site.Params.env | default "DEV" }}')
    console.log('Is Prod?: ', '{{ (eq (getenv "HUGO_ENV") "production" | or (eq .Site.Params.env "production")) }}')
    console.log('Page Kind: ', '{{ .context.Page.Kind }}')
    console.log('Current Section: ', '{{ .context.Page.CurrentSection | default "NOT SET" }}')
    console.log('Page Section: ', '{{ .context.Page.Section | default "NOT SET" }}')
    console.log('Page Type: ', '{{ .context.Page.Type }}')
    console.log('Page Dir: ', '{{ .context.Page.File.Dir | default "/" }}{{ .File }}')
    console.log('Page WordCount: ', '{{ .context.Page.FuzzyWordCount }}')
    console.log('Page Home: ', '{{ .context.Page.IsHome }}')
    console.log('Page Node: ', '{{ .context.Page.IsNode }}')
    console.log('Page Page: ', '{{ .context.Page.IsPage }}')
    console.log('Page Date: ', '{{ .context.Page.Date }}')
    console.log('Page Lastmod: ', '{{ .context.Page.Lastmod}}')
    console.log('Page Date=Lastmod?: ', '{{ (eq .Page.Lastmod .Page.Date) }}')
    console.log('Page Date<>Lastmod?: ', '{{ (ne .Lastmod .Date) }}')
    console.log('Section Parent: ', '{{ with .context.Parent }}{{ .File.Dir | default "/" }}{{ .File }}{{end}}')
    console.log('Google Analytics: ', '{{ .context.Site.GoogleAnalytics | default "NOT DEFINED" }}')
    {{ if .context.Page.IsPage }}console.log('Count of related pages: ', '{{ len ( .context.Site.RegularPages.Related .context) }}' ){{ end }}
    console.log('---------------------------------------------------')
</script>
